Merge pull request #366 from messju/nvm_version_fix

fixed nvm_version result when multiple versions match the given pattern
diff --git a/nvm.sh b/nvm.sh
index cf468ba..a368ac1 100644
--- a/nvm.sh
+++ b/nvm.sh
@@ -51,7 +51,7 @@
     PATTERN='current'
   fi
 
-  VERSION=`nvm_ls $PATTERN`
+  VERSION=`nvm_ls $PATTERN | tail -n1`
   echo "$VERSION"
 
   if [ "$VERSION" = 'N/A' ]; then
diff --git a/test/slow/install two versions and use the latest one b/test/slow/install two versions and use the latest one
new file mode 100755
index 0000000..6bf23ce
--- /dev/null
+++ b/test/slow/install two versions and use the latest one
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+. ../../nvm.sh
+
+# Remove the stuff we're clobbering.
+[ -e ../../v0.10.25 ] && rm -R ../../v0.10.25
+[ -e ../../v0.10.26 ] && rm -R ../../v0.10.26
+
+# Install from binary
+nvm install 0.10.25
+nvm install 0.10.26
+
+# Check
+[ -d ../../v0.10.25 ]
+[ -d ../../v0.10.26 ]
+
+# Use the first one
+nvm use 0.10.25
+
+# Use the latest one
+nvm use 0.10
+node --version | grep v0.10.26